Computer Management

You can use Computer Management to manage local or remote computers.

  • For help with specific tasks, see How to.
  • For general background information, see Concepts.
  • For problem-solving instructions, see Troubleshooting.


How to...

  • Connect to another computer
  • Export information from Computer Management


Connect to another computer

Microsoft Windows graphic

To connect to another computer

  1. Open Computer Management.
  2. In the console tree, right-click Computer Management, and then click Connect to another computer.
  3. In the Select Computer dialog box, type the name of the computer that you want to manage, or click Browse to find it, and then click OK.

Notes

  • You must have the appropriate user rights or you must have been delegated the appropriate authority on the target computer to connect to that computer.
  • XOX
  • The name of the computer that you are managing appears in parentheses next to Computer Management in the console tree.

Related Topics


Export information from Computer Management

Microsoft Windows Graphic

To export information from Computer Management

  1. Open Computer Management.
  2. In the console tree, select the item that you want to export information for.
  3. On the Action menu, click Export List. This opens the Export List dialog box.
  4. In Save in, click or type the file location where you want to save the exported file.
  5. In File name, type the name of the file.
  6. In Save as type, click the file type, and then click Save.

Notes

  • XOX
  • The name of the computer that you are managing appears in parentheses next to Computer Management in the console tree.
  • You can export information to a tab-delimited text (.txt) file, which is the default, or to a comma-delimited (.csv) file.
  • This export functionality may not be available for some items in the console tree.

Related Topics


Concepts

This section provides general background information about Computer Management:

  • Computer Management overview
  • Understanding Computer Management


Computer Management overview

Computer Management is a collection of administrative tools that you can use to manage a single local or remote computer. It combines several administrative utilities into a console tree, and it provides easy access to administrative properties and tools.

You can use Computer Management to:

  • Monitor system events, such as logon times and application errors.
  • Create and manage shared resources.
  • View a list of users who are connected to a local or remote computer.
  • Start and stop system services, such as Task Scheduler and Indexing Service.
  • Set properties for storage devices.
  • View device configurations and add new device drivers.
  • Manage applications and services.

Computer Management contains three items: System Tools, Storage, and Services and Applications. For more information, see:

  • System Tools overview
  • Storage overview
  • Services and Applications overview

Note

  • If you are not a member of the Administrators group, you may not have the administrative credentials required to view or modify some properties or to perform some tasks that Computer Management hosts.


System Tools overview

System Tools is the first item in the Computer Management console tree. You can use the default tools—Event Viewer, Shared Folders, Local Users and Groups, Performance Logs and Alerts, and Device Manager—to manage system events and performance on the specified computer.

  • For more information about Event Viewer, see Event Viewer.
  • For more information about Shared Folders, see Shared Folders.
  • For more information about Local Users and Groups, see Local Users and Groups.
  • For more information about Performance Logs and Alerts, see Performance Logs and Alerts overview.
  • For more information about Device Manager, see Device Manager.


Storage overview

Storage is the second item in the Computer Management console tree. It displays storage devices that are installed on the specified computer. You can use the default tools—Removable Storage, Disk Defragmenter, and Disk Management—to manage the properties of storage devices.

  • For more information about Removable Storage, see Removable Storage.
  • For more information about Disk Defragmenter, see Disk Defragmenter.
  • For more information about Disk Management, see Disk Management.


Services and Applications overview

Services and Applications is the third item in the Computer Management console tree. You can use the default tools—Services, WMI Control, Telephony, and Indexing Service—to help you manage services and applications on the specified computer. For example, you can use Services to view and manage the properties of the Net Logon service.

  • For more information about Services, see Services.
  • For more information about WMI Control, see WMI overview.
  • For more information about Telephony, see Telephony.
  • For more information about Indexing Service, see Indexing Service overview.

Note

  • The actual set of tools and applications that you see may vary, depending on which services are installed on the specified computer. You may not see the installed services and applications if the specified computer is a remote computer and either of the following conditions is true: you are not a member of the Administrators group on the specified computer or the Remote Registry service is not running on the specified computer.


Understanding Computer Management

Computer Management has a two-pane view that is similar to Windows Explorer. The console tree is in the left pane, and the details pane is in the right pane. When you select an item in the console tree, information about that item appears in the details pane. This information might include details about the contents, data, or subtools that are available for the selected item. For example, if you click Sessions under Shared Folders in System Tools, you can view information about the current user sessions, if any, on the target computer.

The console tree contains three items: System Tools, Storage, and Services and Applications. For more information about these items, see:

  • System Tools overview
  • Storage overview
  • Services and Applications overview

For more information about working with a console tree in Microsoft Management Console (MMC), see Microsoft Management Console.

Note

  • If you are not a member of the Administrators group, you may not have the administrative credentials required to view or modify some properties or to perform some tasks that Computer Management hosts.


Troubleshooting

What problem are you having?

I cannot access the tools that are hosted in Computer Management on a remote computer.

Cause: The Remote Registry service is not running on the remote computer.

Solution: Ensure that the Remote Registry service is started on the remote computer. For more information, see To start, stop, pause, resume, or restart a service. To start the service, you need the appropriate administrative credentials on the remote computer.

See also: Troubleshooting for System Monitor and Performance Logs and Alerts

Note

  • You may also receive this error message if the remote computer is running Windows 95. Computer Management does not support remote access to computers running Windows 95.